Bug 152858 - Web Inspector: Cannot undo in breakpoint editor
Summary: Web Inspector: Cannot undo in breakpoint editor
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2016-01-07 14:13 PST by Devin Rousso
Modified: 2016-09-06 12:58 PDT (History)
7 users (show)

See Also:


Attachments
Patch (1.86 KB, patch)
2016-09-05 22:45 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2016-01-07 14:13:21 PST
* STEPS TO REPRODUCE:
1. Create a breakpoint
2. Edit the breakpoint
3. Type some text
4. Press Cmd-Z

* Expected
Regular Undo functionality

* Actual
Crash...

-------
Auto-generated details:

Inspected URL:        file:///Users/dcrousso/Documents/Projects/WebKit/WebKitBuild/Release/WebInspectorUI.framework/Resources/Main.html
Loading completed:    true
Frontend User Agent:  Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_2) AppleWebKit/602.1.15+ (KHTML, like Gecko)
Uncaught exceptions:
 - TypeError: change.update is not a function. (In 'change.update(change.from, change.to, [newText])', 'change.update' is undefined) (at BreakpointPopoverController.js:242:22)
-------
Comment 1 Radar WebKit Bug Importer 2016-01-07 14:13:35 PST
<rdar://problem/24096972>
Comment 2 Devin Rousso 2016-09-05 22:45:32 PDT
Created attachment 287996 [details]
Patch
Comment 3 Brian Burg 2016-09-06 12:36:27 PDT
Comment on attachment 287996 [details]
Patch

r=me
Comment 4 WebKit Commit Bot 2016-09-06 12:58:35 PDT
Comment on attachment 287996 [details]
Patch

Clearing flags on attachment: 287996

Committed r205499: <http://trac.webkit.org/changeset/205499>
Comment 5 WebKit Commit Bot 2016-09-06 12:58:39 PDT
All reviewed patches have been landed.  Closing bug.